package com.prolog.upcloud.base.wh.operate.model;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * WMS_CARGO_CHANGE_DETAIL
 * @author wujunjie
 */
@Table(value = "WMS_CARGO_CHANGE_DETAIL", appendDefaultJdbcType = true, camelToUnderline = true)
public class WmsCargoChangeDetail implements Serializable {
    /**
     * 明细ID
     */
    @Id
    @AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
    private String detailId;

    /**
     * 主表ID
     */
    private String headerId;

    /**
     * 源单号
     */
    private String refBillId;

    /**
     * 源商品ID
     */
    private String srcItemId;

    /**
     * 源商品编号
     */
    private String srcItemName;

    /**
     * 目标商品ID
     */
    private String destItemId;

    /**
     * 目标商品编号
     */
    private String destItemName;

    /**
     * 批号
     */
    private String manufacturerLotNum;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /** 抽样整箱数 **/
    @ApiModelProperty(value = "抽样整箱数")
    private BigDecimal qcOddCaseQty;

    /** 抽样零散数 **/
    @ApiModelProperty(value = "抽样零散数")
    private BigDecimal qcOddPieceQty;

    /** 实际抽样整箱数 **/
    @ApiModelProperty(value = "实际抽样整箱数")
    private BigDecimal qcOddCaseActQty;

    /** 实际抽样零散数 **/
    @ApiModelProperty(value = "实际抽样零散数")
    private BigDecimal qcOddPieceActQty;

    /** 实际抽样零散数 **/
    @ApiModelProperty(value = "验收数量")
    private BigDecimal qcQty;

    public BigDecimal getQcQty() {
        return qcQty;
    }

    public void setQcQty(BigDecimal qcQty) {
        this.qcQty = qcQty;
    }

    public BigDecimal getQcOddCaseQty() {
        return qcOddCaseQty;
    }

    public void setQcOddCaseQty(BigDecimal qcOddCaseQty) {
        this.qcOddCaseQty = qcOddCaseQty;
    }

    public BigDecimal getQcOddPieceQty() {
        return qcOddPieceQty;
    }

    public void setQcOddPieceQty(BigDecimal qcOddPieceQty) {
        this.qcOddPieceQty = qcOddPieceQty;
    }

    public BigDecimal getQcOddCaseActQty() {
        return qcOddCaseActQty;
    }

    public void setQcOddCaseActQty(BigDecimal qcOddCaseActQty) {
        this.qcOddCaseActQty = qcOddCaseActQty;
    }

    public BigDecimal getQcOddPieceActQty() {
        return qcOddPieceActQty;
    }

    public void setQcOddPieceActQty(BigDecimal qcOddPieceActQty) {
        this.qcOddPieceActQty = qcOddPieceActQty;
    }

    private static final long serialVersionUID = -749882890078857130L;

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getHeaderId() {
        return headerId;
    }

    public void setHeaderId(String headerId) {
        this.headerId = headerId;
    }

    public String getRefBillId() {
        return refBillId;
    }

    public void setRefBillId(String refBillId) {
        this.refBillId = refBillId;
    }

    public String getSrcItemId() {
        return srcItemId;
    }

    public void setSrcItemId(String srcItemId) {
        this.srcItemId = srcItemId;
    }

    public String getSrcItemName() {
        return srcItemName;
    }

    public void setSrcItemName(String srcItemName) {
        this.srcItemName = srcItemName;
    }

    public String getDestItemId() {
        return destItemId;
    }

    public void setDestItemId(String destItemId) {
        this.destItemId = destItemId;
    }

    public String getDestItemName() {
        return destItemName;
    }

    public void setDestItemName(String destItemName) {
        this.destItemName = destItemName;
    }

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
